/**
 * OW2 Specifications
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigurationException.java 4359 2008-12-10 10:24:40Z sauthieg $
 * --------------------------------------------------------------------------
 */

package javax.enterprise.deploy.spi.exceptions;

/**
 * This exception reports errors in generating a configuration bean.
 * @author Guillaume Sauthier
 */
public class ConfigurationException extends Exception {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -6211997126760402756L;

    /**
     * Creates new ConfigurationException without detail message.
     */
    public ConfigurationException() {
        super();
    }

    /**
     * Constructs an ConfigurationException with the specified detail message.
     * @param message the detail message.
     */
    public ConfigurationException(String message) {
        super(message);
    }
}
